Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.flexdock.plaf.resources.paint
Interface Painter

All Known Implementing Classes:
  DefaultPainter, EclipseGradientPainter, GradientPainter, MetalPainter, OfficeXPPainter, SkinLFPainter

    public interface Painter

Author:
  Claudio Romano

Method Summary
`PainterResource` | `getPainterResource()`
`void` | `paint(Graphics g, int width, int height, boolean active, JComponent titlebar)`
`void` | `setPainterResource(PainterResource painterResource)`

Method Detail

### paint

    void paint(Graphics g,
               int width,
               int height,
               boolean active,
               JComponent titlebar)

### getPainterResource

    PainterResource getPainterResource()

### setPainterResource

    void setPainterResource(PainterResource painterResource)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD